// vdapp_enum.h


// Copyright (C) 1997  Cliff Johnson                                       //
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public                    //
// License as published by the Free Software Foundation; either            //
// version 2 of the License, or (at your option) any later version.        //
//                                                                         //
// This software is distributed in the hope that it will be useful,        //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU General Public License       //
// along with this software (see COPYING); if not, write to the        //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //

#ifndef VDAPP_ENUM_H
#define VDAPP_ENUM_H

// menus and widgets and V definitions
enum{

// type mask selection bar actions
				// because of the way TypeMaskBehavior works, 
	m_Point = 5000,		// it would be nice if the button numbers
	m_Line,			// matched the entity type numbers in geom_enum.h
	m_Circle,		// so well keep them in the same order
	m_Segment,
	m_Arc,
	m_Ellipse,
	m_Curve,
	m_Group,

	m_ClearMask,
	m_Wildcard,
	m_Sum,

	m_EndPoint,
	m_MidPoint,
	m_Center,
	m_Intersection,
	m_Support,

	m_Pan,
	m_CView,
	m_ZoomIn,
	m_ZoomOut,
	m_MaxZoom,
	
// menu actions
	m_ViewMenu,
		m_ViewReset,
		m_ViewScale,

	m_Attribute,
		m_LayerAttribute,
		m_LineTypeAttribute,
		m_ColorAttribute,

	m_Modules,
		m_GeometryModule,
		m_MeasurementModule,
		m_NoModule,

	m_Parameters,
		m_System,
		m_Selection,
		m_Plotting,

	m_InputStatusPane,
	m_Fframe0,
	m_Fframe1,
	m_Fframe2,
	m_Fframe3,
	m_Fframe4,
	m_Fframe5,
	m_Fframe6,
	m_Fframe7,
	m_Fframe8,
	m_Fframe9,
	m_Fframe10,
	
	m_ColorBtn,

// generic buttons for function commands

	MENULABEL0,
	MENULABEL1,
	MENULABEL2,
	MENULABEL3,
	MENULABEL4,
	MENULABEL5,
	MENULABEL6,
	MENULABEL7,
	MENULABEL8,
	MENULABEL9,
	MENULABEL10,
	MENUBUTTON00,
	MENUBUTTON01,
	MENUBUTTON10,
	MENUBUTTON11,
	MENUBUTTON20,
	MENUBUTTON21,
	MENUBUTTON30,
	MENUBUTTON31,
	MENUBUTTON40,
	MENUBUTTON41,
	MENUBUTTON50,
	MENUBUTTON51,
	MENUBUTTON60,
	MENUBUTTON61,
	MENUBUTTON70,
	MENUBUTTON71,
	MENUBUTTON80,
	MENUBUTTON81,
	MENUBUTTON90,
	MENUBUTTON91,
	MENUBUTTON100,
	MENUBUTTON101,

// dialog stuff thats not currently used
	m_PDCancel,
	m_PDFieldMode,
	m_PDOK,
	m_PDSnap,
	m_PDlabel1,
	m_PDlabel2,
	m_PDlabel3,
	m_PDlabel4,
	m_PDxval,
	m_PDyval,
	m_PDzval,

// intercepted keyboard codes 
	KB_CenterView = 65367,
	KB_ZoomUp = 65365,
	KB_ZoomDown = 65366,
	KB_LeftArrow =  65361,
	KB_UpArrow,
	KB_RightArrow,
	KB_DownArrow,
	KB_SpaceBar = 32

};


#endif
